import { EmailLandingPageService } from './email-landing-page.service';
import { CreateEmailLandingPageDto } from './dto/create-email-landing-page.dto';
import { UpdateEmailLandingPageDto } from './dto/update-email-landing-page.dto';
export declare class EmailLandingPageController {
    private readonly emailLandingPageService;
    constructor(emailLandingPageService: EmailLandingPageService);
    create(createEmailLandingPageDto: CreateEmailLandingPageDto, businessId: string): Promise<import("./entities/email-landing-page.entity").EmailLandingPage>;
    findAll(): Promise<import("./entities/email-landing-page.entity").EmailLandingPage[]>;
    findOne(id: string): string;
    update(id: string, updateEmailLandingPageDto: UpdateEmailLandingPageDto): Promise<[affectedCount: number]>;
    remove(id: string): Promise<number>;
    findPage(token: string, submitted: string): Promise<import("./entities/email-landing-page.entity").EmailLandingPage>;
}
